package org.springblade.person.feign;

import org.springblade.person.entity.Prisoner;
import org.springblade.person.vo.PrisonerVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class PrisonerClientFallback implements IPrisonerClient {
            /**
         * 详情
         */
        @Override
        public PrisonerVO detail(Prisoner prisoner) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<PrisonerVO> list(Prisoner prisoner) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Prisoner prisoner) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Prisoner prisoner) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Prisoner prisoner) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
